package yangtz.cs.liu.campus.service.schoolcalendar;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.stereotype.Service;
import yangtz.cs.liu.campus.domain.schoolcalendar.SchoolCalendar;
import yangtz.cs.liu.campus.vo.schoolcalendar.SchoolCalendarVo;

import java.util.Date;
import java.util.List;



public interface ISchoolCalendarService extends IService<SchoolCalendar> {
    public List<SchoolCalendarVo> selectSchoolCalendarList(SchoolCalendar schoolCalendar);

    public int updateSchoolCalendar(SchoolCalendar schoolCalendar);

    public List<SchoolCalendar> selectSchoolCalendarForSelecter(SchoolCalendar schoolCalendar);


    /**
     * 公众号：获取当前时间所在的校历
     * @param date
     * @return
     */
    SchoolCalendar getNowCalendar(Date date);
}
